# 1.1.0

This will be the initial release for the production server. I will avoid adding new "content" from this point on, but config changes and QoL is still on the table.

## Config Changes

-   Modified the starter kit.
    -   Added the new store block to replace the old one.
    -   Added the new wallet and removed the old satchel and currency.
-   Added our updated config for FTBChunks.
-   Made Create ores (besides zinc) slightly less common.

## Mods

### Removals

-   River Redux
-   Simple Shops
    -   It functions fine, but it is out-classed by our new trading mod.
-   Tectonic
-   Terralith
    -   The mountains are cool, but probably too extreme. It might unintentionally unbalance the game due to weirdness with ore generation.

### Additions

-   Additional Enchanted Miner
    -   Adds the BuildCraft quarry with fluid pumping and enchanting capabilities.
-   Angel Block Renewed
    -   Adds the Angel Block from Extra Utilities. It can be placed in the air and broken instantly without a tool.
-   Automatic Tool Swap
    -   Automatically swaps to the correct tool for breaking the block if it's in your hotbar.
-   Chunky
    -   Allows OPs to pre-generate chunks.
-   Light Overlay
    -   Lets you see light levels by pressing F7. Red = Monsters will spawn anytime, Yellow = Monsters will spawn at night.
-   Mindful Darkness
    -   Adds a dark mode for Minecraft GUIs. Optional.
-   Plenty Plates
    -   Adds several specialized pressure plates. For example, the obsidian pressure plate only works with players.
-   ReBlured
    -   Blurs backgrounds when GUIs are open. Optional.
-   Seamless
    -   Makes some textures of blocks placed next to each other "seamless". For example, beds, doors, pistons, and large plants. Might not work with modded items.
-   Simple Hats
    -   Adds hats.
-   Tom's Trading Network
    -   A better trading mod for a server economy.
-   Wallets
    -   Adds a better currency system with denominations and a wallet.
-   Wavey Capes

### Updates

-   Almost Unified 0.4.2 -> 0.4.4
-   Aquamirae 5.6.API14 -> 6.API15
-   Architectury API 6.5.77 -> 6.5.82
-   Botany Pots 9.0.31 -> 9.0.33
-   Botany Trees 5.0.5 -> 5.0.7
-   Connectivity 3.5 -> 4.2
-   Cooking for Blockheads 13.3.1 -> 13.3.2
-   Crafting Tweaks 15.1.6 -> 15.1.7
-   Create Crafts and Additions 1.19.2-20230411a -> 1.19.2-20230426a
-   Create Deco 1.3.1 -> 1.3.2
-   Curios API 5.1.4.0 -> 5.1.4.1
-   Extreme Reactors 2.0.62 -> 2.0.63
-   FastWorkbench 7.1.1 -> 7.1.2
-   In Control! 7.1.3 -> 7.1.5
-   JourneyMap 5.9.5 -> 5.9.6
-   KleeSlabs 12.2.0 -> 12.3.0
-   Konkrete [Forge] 1.6.0 -> 1.6.1
-   Kotlin for Forge 3.11.0 -> 3.12.0
-   libIPN 2.0.6 -> 2.0.7
-   Obscure API 14 -> 15
-   Pam's HarvestCraft 2 - Crops 1.0.1 -> 1.0.2
-   PneumaticCraft: Repressurized 4.3.3-22 -> 4.3.4-24
-   RFTools Builder 5.2.6 -> 5.2.8
-   Saturn 0.0.3 -> 0.0.4
-   SeasonHUD 1.4.12 -> 1.4.14
-   Sophisticated Core 0.5.51.251 -> 0.5.54.261
-   Tom's Trading Network 0.1.0 -> 0.2.0
-   ZeroCore 2 2.1.33 -> 2.1.34

# 1.0.19

## Config Changes

-   Added the modpack's _actual_ version number to the menu screen.

## Mods

## Removals

-   Carry On
    -   While I appreciate this mod, it is causing too many compatibility issues.

### Additions

-   Full Grown Crop Marker
    -   An optional mod that adds indicators over crops as they grow.
-   River Redux
-   Tectonic
-   Terralith
    -   These mods alter world generation to make more "interesting" features.
-   Tiny Coal
    -   Adds tiny coal, which can be used for a single furnace operation. It helps you not waste coal/charcoal.

## Updates

-   Carry On 2.0.5.10 -> 2.0.5.11
-   Connectivity 3.4 -> 3.5
-   libIPN 2.0.5 -> 2.0.6
-   Storage Drawers 11.1.3 -> 11.1.2
    -   I'm not sure why this is an update. It looks like it's moving from a specific 1.19.2 version to a 1.19.x version. Hopefully nothing breaks.

# 1.0.18

## Config Changes

-   Made the Observable mod optional, since only admins need it.
-   Added a bed to the starter kit.
-   Disabled the ghost that spawns when a gravestone is broken. It doesn't do anything anyway.

## Mods

### Additions

-   Blue Map
    -   A fancy server tool to generate a 3D map of our world that can be viewed online.
-   Maintenance Mode
    -   A tool for allowing certain players on during "maintenance".
-   Spawn Animations
    -   Adds some animations for when mobs spawn.

# 1.0.17

## Config Changes

-   Made the recipe for RFTool's Quarry Card much more expensive.
-   Lowered the cost of Mekanism's Digital Miner.
-   Disabled the ability to "pick up" blocks from Little Logistics.
-   Fixed a bug with Canary and Little Logistics.

# 1.0.16

## Config Changes

-   Mekanism lead and uranium should no longer be spawning.
-   Removed Nether Aluminum Ore since no other mods use it.

## Mods

### Additions

-   Advanced Peripherals
    -   Adds some advanced peripherals for ComputerCraft.
-   Connected Glass
    -   Adds a type of glass that has no borders.
-   LaserIO
    -   Adds lasers that function like EnderIO conduits.
-   More Mekanism Processing
    -   Adds Mekanism 5x processing support to several additional materials.
-   Observable
    -   Adds a tool for admins to diagnose what's making the server lag.
-   Pipez
    -   Adds some basic pipes for transferring items, power, fluids, and gas.

# 1.0.15

## Mods

### Additions

-   FindMe
    -   Renders smoke on top of chests/containers that have the item you search for. Default key is "Y".
-   Season HUD
    -   Adds an element to the map that displays the current season and day for Serene Seasons.

# 1.0.14

## Config Changes

-   Nether ore equivalents for modded ores now spawn in the Nether.

## Mods

### Additions

-   Compressed Creativity
    -   Adds Pneumaticraft integration to Create.
-   Compressium
    -   Adds compressed versions of several blocks for storage.
-   Neko's Enchanted Books
    -   Adds a unique icon for each enchated book.
-   Sophisticated Backpacks
    -   Adds a dyeable and upgradable backpack that can be placed in the world.

### Updates

-   Almost Unified 0.4.1 -> 0.4.2
-   Create Deco 1.3.0 -> 1.3.1
-   Fancy Menu 2.14.6 -> 2.14.7

# 1.0.13

## Config Changes

-   Removed the crafting station from the starter kit. Not sure how that got there, but now it's gone.

## Mods

### Additions

-   Inventory Essentials
    -   Adds some inventory shortcuts.
-   Inventory Sorter
    -   Middle Mouse Click to sort (can be changed.)

# 1.0.12

## Config Changes

-   Not Enough Animations should now _hopefully_ only install on clients.

## Mods

### Additions

-   Right Click, Get Crops
    -   It's in the title

# 1.0.11

## Mods

### Removals

-   Shutup Experimental Features
    -   It wasn't doing anything.

### Additions

-   No Chat Reports
    -   We're all friends here =)
-   Pick-up Notifier
    -   Nice little display of the items you're picking up.
-   Yeetus Experimentus
    -   Actuall gets rid of the annoying warning every time you create a world.

# 1.0.10

## Config Changes

-   Nerfed the "near death" screen effects. They're still noticable, but they shouldn't be as bad.
-   Removed a few of the "silly" guns from Mo' Guns

## Mods

## Additions

-   Additional Guns
-   Mo' Guns

    -   Hell yea brother kkona

-   Journeymap Integration

    -   Adds some mod support to Journeymap. Most importantly, you can now claim chunks on Journeymap instead of just the FTB Chunks map.

-   Reborn Storage

    -   Adds a multiblock crafter to the Refined Storage Network.
    -   Max size is 16x16. More CPUs speed up crafting, more storage lets you keep more patterns.

-   RFTools Power

    -   Adds some power storage and transfer options to the RFTools suite.

-   Serene Seasons Fix

    -   Fixes some issues with season changing that come up with sleeping or setting time via command.

### Updates

-   McJtyLib 7.2.4 -> 7.2.5
-   RFTools Utility 5.1.6 -> 5.1.7

# 1.0.9

## Mods

## Removals

-   Advanced Chimneys
-   Pollution of the Realms
    -   I removed these because pollution will probably just make this pack worse. We will explore using these in a more purpose-built modpack in the future.

## Additions

-   Create Crafts and Additions
    -   Adds some compatibility for Create to use RF/FE power
-   Project Arsenal
    -   Adds a bunch of guns and gun parts.
-   Redstone Arsenal
    -   Adds some RF-powered armor and tools.
-   Refined Storage: Requestify
    -   Adds a block that keeps a specified number of items in-stock in your Refined Storage network.
-   Visual Workbench
    -   Crafting tables should keep their inventories and visually show the items on top.

# 1.0.8

Apparently the target dummy mod needs a special library to function correctly. It would be nice if mod developers properly labeled dependencies (or even _mentioned_ them on their Curseforge page) so that packwiz could detect that.

## Mods

## Additions

-   Pollution of the Realms
    -   Blocks now produce pollution that affects the surrounding nature and plant growth. Could be terrible, but yolo.
    -   This is also designed specifically for the chimneys we already have.
-   Selene (aka Moonlight Lib)
    -   This is an unspecified requirement for the target dummy mod.

## Updates

-   Advanced Chimneys
-   ForgeEnderTech (library)

# 1.0.7

## Config Changes

-   Added the Food Book to the Starter Kit.
-   Adjusted Fast Leaf Decay to take 2x longer.

## Mods

### Removals

-   Chance Cubes
    -   I removed this because none of the "rewards" were very good and the punishments are bad. In playtesting, no one seemed enthusiastic about keeping them, so why bother.

## Additions

-   Ecologics
    -   Adds some basic flora and fauna to base game biomes
-   Lootr
    -   Makes it so loot containers are per player intead of being a race to find them first. The chests will contain their standard loot, but the randomization happens for each player that opens them.
    -   The chest changes color once you have opened it to signify you've received loot from it already. It will not appear this way for other players.
-   Mmmmmmmmmmmmmmm
    -   Adds a target dummy for testing damage. You can also equip it with armor for testing.
-   Torchmaster
    -   Adds a torch that prevents spawning in a certain radius. This will be useful for the town area and personal bases.

## Updates

-   RFTools Dimensions
-   Saturn
